Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522770 - microcode_ctl init script is not completely LSB compliant
Summary: microcode_ctl init script is not completely LSB compliant
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: microcode_ctl
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anton Arapov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 576531
TreeView+ depends on / blocked
 
Reported: 2009-09-11 11:11 UTC by Yulia Kopkova
Modified: 2014-06-18 08:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 576531 (view as bug list)
Environment:
Last Closed: 2010-03-24 11:40:30 UTC
Type: ---


Attachments (Terms of Use)

Description Yulia Kopkova 2009-09-11 11:11:05 UTC
Description of problem:
According to https://fedoraproject.org/wiki/Packaging/SysVInitScript
microcode_ctl init script should:

1. have LSB header
2. support "condrestart" and "try-restart" actions

The reason of filling this is "InitScripts LSB compliance project"

Version-Release number of selected component (if applicable):
microcode_ctl-1.17-1.53.fc12.1.x86_64

Comment 1 Yulia Kopkova 2009-09-11 14:17:26 UTC
3. The third thing, is that microcode_ctl exit code may return "19". According to LSB:
 8-99:	reserved for future LSB use

Comment 2 Yulia Kopkova 2009-09-15 12:57:29 UTC
4. Init script Should return usage and exit code "3" for unknown action.

Comment 3 Yulia Kopkova 2009-09-15 14:17:19 UTC
5. "status" action for stopped service should return exit code "3"

Comment 4 Yulia Kopkova 2009-09-17 09:27:29 UTC
6. insufficient rights
init script should also return code "4" if restarting service under
nonprivileged user:

su testuserqa -c "service $SERVICE restart"; echo $?
now: 0 
expected: 4

Comment 5 Yulia Kopkova 2009-09-24 13:05:44 UTC
(In reply to comment #2)
> 4. Init script Should return usage and exit code "3" for unknown action.  

Update:

4. Init script Should return usage and exit code "2" for unknown action.

Comment 6 Bug Zapper 2009-11-16 12:15:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Anton Arapov 2010-03-24 11:40:30 UTC
"fixed" within bug 479898... does not have init script anymore.


Note You need to log in before you can comment on or make changes to this bug.